Name:           nitrokey-app
Version:        0.5.1
Release:        1%{?dist}
Summary:        Nitrokey's Application

License:        GPLv3+
URL:            https://github.com/Nitrokey/nitrokey-app
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/Nitrokey/nitrokey-app/commit/92d314c4e71358ff90935984f48265ddac88442a
Patch0001:      %{name}-0001-Fix-paths-for-package-installation.-Fixes-178.patch
# https://github.com/Nitrokey/nitrokey-app/commit/0414536b3e99190eee8a4f14230625a3cf9f7a33
Patch0002:      %{name}-0001-build-set-CMAKE_BUILD_TYPE-only-if-not-set.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  systemd
BuildRequires:  %{_bindir}/desktop-file-validate

%description
%{summary}.

%prep
%autosetup -p1

%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake .. \
    -DHAVE_LIBAPPINDICATOR=NO         \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    %{nil}
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

# We don't need ubuntu icons
rm -vrf %{buildroot}%{_datadir}/icons/ubuntu*
# We don't need gtk/appindicator stuff,
# libappindicator support will be removed in future
rm -vrf %{buildroot}%{_datadir}/nitrokey/

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license LICENSE
%{_bindir}/%{name}
# https://github.com/Nitrokey/nitrokey-app/issues/189
%{_sysconfdir}/bash_completion.d/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_udevrulesdir}/*-nitrokey.rules

%changelog
* Fri Nov 18 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.1-1
- Initial package
